Index.Field (Apache Geode 1.12.3)
Date: 2021-06-11

org.apache.geode.cache.lucene.management.configuration

## Class Index.Field

- java.lang.Object
- - org.apache.geode.cache.lucene.management.configuration.Index.Field

- Enclosing class:
    Index

      public static class Index.Field
      extends Object

  Java class for anonymous complex type.

  The following schema fragment specifies the expected content contained within this class.

       <complexType>
         <complexContent>
           <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
             <attribute name="name" type="{http://www.w3.org/2001/XMLSchema}string" />
             <attribute name="analyzer" type="{http://www.w3.org/2001/XMLSchema}string" />
           </restriction>
         </complexContent>
       </complexType>

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected String` | `analyzer`
    `protected String` | `name`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `Field()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getAnalyzer()` Gets the value of the analyzer property.
    `String` | `getName()` Gets the value of the name property.
    `void` | `setAnalyzer(String value)` Sets the value of the analyzer property.
    `void` | `setName(String value)` Sets the value of the name property.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### name

          protected String name

    - #### analyzer

          protected String analyzer

  - ### Constructor Detail

    - #### Field

          public Field()

  - ### Method Detail

    - #### getName

          public String getName()

      Gets the value of the name property. possible object is `String`

    - #### setName

          public void setName(String value)

      Sets the value of the name property. allowed object is `String`

    - #### getAnalyzer

          public String getAnalyzer()

      Gets the value of the analyzer property. possible object is `String`

    - #### setAnalyzer

          public void setAnalyzer(String value)

      Sets the value of the analyzer property. allowed object is `String`